# $Revision: 1.20 $, $Date: 2009/04/03 15:13:51 $
#
# Conditional build
%bcond_without  tests	# disable 'make check'
#
Summary:	A strictly RFC 3986 compliant URI parsing library
Summary(pl.UTF-8):	Biblioteka analizująca URI ściśle zgodne z RFC 3986
Name:		uriparser
Version:	0.7.5
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://dl.sourceforge.net/uriparser/%{name}-%{version}.tar.lzma
# Source0-md5:	a87b79caa1258cf9f232b55fce66ff22
URL:		http://uriparser.sourceforge.net/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.10.1
%{?with_tests:BuildRequires:	cpptest-devel >= 1.1.0}
BuildRequires:	doxygen
BuildRequires:	graphviz-devel
BuildRequires:	libtool
BuildRequires:	lzma >= 1:4.42
BuildRequires:	pkgconfig >= 0.9.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
uriparser is a strictly RFC 3986 compliant URI parsing library.
uriparser is cross-platform, fast, supports Unicode.

%description -l pl.UTF-8
uriparser to biblioteka analizująca URI ściśle zgodne z RFC 3986.
Jest wieloplatformowa, szybka i obsługuje Unicode.

%package devel
Summary:	Header files for uriparser
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki uriparser
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for uriparser.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki uriparser.

%package static
Summary:	Static uriparser library
Summary(pl.UTF-8):	Statyczna biblioteka uriparser
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static uriparser library.

%description static -l pl.UTF-8
Statyczna biblioteka uriparser.

%prep
%setup -q -c -T
lzma -dc %{SOURCE0} | tar xf - -C ..

%build
# configure first in doc, in order to create regular Doxyfile
cd doc
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure
cd ..
%{__libtoolize}
%{__aclocal}
%{__automake}
#%%{__autoheader}
%{__autoconf}
%configure \
	 %{!?with_tests:--disable-test}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog doc/{*.{htm,txt},html}
%attr(755,root,root) %{_libdir}/liburiparser.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liburiparser.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liburiparser.so
%{_libdir}/liburiparser.la
%{_includedir}/uriparser
%{_pkgconfigdir}/liburiparser.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/liburiparser.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: uriparser.spec,v $
Revision 1.20  2009/04/03 15:13:51  qboosh
- proper pkgconfig package name

Revision 1.19  2009/03/09 10:17:20  lisu
- .pc goes to pkgconfigdir
- BR: pkg-config always required

Revision 1.18  2009/03/05 11:43:33  lisu
- up to 0.7.5
- add tests bcond (enabled by default) - handling of cpp tests (BRs: ccptest-devel and pkg-config)
- BRs: doxygen, graphviz-devel (for docs)
- run ./configure manually in docs in order to create regular Doxyfile
- more docs

Revision 1.17  2008/12/23 13:35:32  lisu
- 0.7.4

Revision 1.16  2008/11/23 14:26:29  megabajt
- typo

Revision 1.15  2008/11/21 11:44:42  lisu
- up to 0.7.3

Revision 1.14  2008/06/02 17:30:20  qboosh
- updated to 0.7.1

Revision 1.13  2008-04-05 08:34:39  arekm
- up to 0.7.0

Revision 1.12  2008-02-26 07:11:03  arekm
- update to 0.6.4

Revision 1.11  2008-02-11 06:20:44  arekm
- up to 0.6.3

Revision 1.10  2008-02-08 19:24:17  arekm
- up to 0.6.2

Revision 1.9  2008-01-13 17:30:50  arekm
- up to 0.6.1 (ac regeneration not needed + requires alpha version of autoconf)

Revision 1.8  2007/11/03 16:24:44  qboosh
- updated to 0.6.0 (new soname)
- package COPYING

Revision 1.7  2007/09/13 06:07:45  arekm
- up to 0.5.2

Revision 1.6  2007/08/09 05:52:04  arekm
- up to 0.5.1

Revision 1.5  2007/07/07 12:27:26  arekm
- up to 0.4.1

Revision 1.4  2007/07/03 06:49:52  arekm
- up to 0.4.0

Revision 1.3  2007/04/24 18:05:34  qboosh
- pl

Revision 1.2  2007/04/23 22:02:05  arekm
- up to 0.3.4

Revision 1.1  2007/04/19 09:14:46  arekm
- new but patched to contain shared library
